Update a Milestone Reminder
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskType": "<string>",
"name": "<string>",
"threshold": "<integer>",
"isFollowedContactsOnly": "<boolean>",
"description": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskType: '<string>',
name: '<string>',
threshold: '<integer>',
isFollowedContactsOnly: '<boolean>',
description: '<string>'
})
};
fetch('https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}"
payload = {
"taskType": "<string>",
"name": "<string>",
"threshold": "<integer>",
"isFollowedContactsOnly": "<boolean>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"taskType\": \"<string>\",\n \"name\": \"<string>\",\n \"threshold\": \"<integer>\",\n \"isFollowedContactsOnly\": \"<boolean>\",\n \"description\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'taskType' => '<string>',
'name' => '<string>',
'threshold' => '<integer>',
'isFollowedContactsOnly' => '<boolean>',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"taskType\": \"<string>\",\n \"name\": \"<string>\",\n \"threshold\": \"<integer>\",\n \"isFollowedContactsOnly\": \"<boolean>\",\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"taskType\": \"<string>\",\n \"name\": \"<string>\",\n \"threshold\": \"<integer>\",\n \"isFollowedContactsOnly\": \"<boolean>\",\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskType: '<string>',
name: '<string>',
threshold: '<integer>',
isFollowedContactsOnly: '<boolean>',
description: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"name": "<string>",
"reminderSourceType": "<string>",
"reminderSourceTypeDisplayName": "<string>",
"reminders": [
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
},
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
],
"message": "<string>",
"dueDate": "<dateTime>",
"contactId": "<integer>",
"contactDisplayName": "<string>",
"reminderFrequency": "<string>",
"reminderFrequencyDisplayName": "<string>",
"milestoneType": "<string>",
"milestoneTypeDisplayName": "<string>",
"threshold": "<integer>",
"description": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Reminders
Update a Milestone Reminder
Similar to other update methods in the API, excluding a property will remove it’s value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
Reminder
/
Saved
/
Milestone
/
{id}
Update a Milestone Reminder
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskType": "<string>",
"name": "<string>",
"threshold": "<integer>",
"isFollowedContactsOnly": "<boolean>",
"description": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskType: '<string>',
name: '<string>',
threshold: '<integer>',
isFollowedContactsOnly: '<boolean>',
description: '<string>'
})
};
fetch('https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}"
payload = {
"taskType": "<string>",
"name": "<string>",
"threshold": "<integer>",
"isFollowedContactsOnly": "<boolean>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"taskType\": \"<string>\",\n \"name\": \"<string>\",\n \"threshold\": \"<integer>\",\n \"isFollowedContactsOnly\": \"<boolean>\",\n \"description\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'taskType' => '<string>',
'name' => '<string>',
'threshold' => '<integer>',
'isFollowedContactsOnly' => '<boolean>',
'description' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"taskType\": \"<string>\",\n \"name\": \"<string>\",\n \"threshold\": \"<integer>\",\n \"isFollowedContactsOnly\": \"<boolean>\",\n \"description\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"taskType\": \"<string>\",\n \"name\": \"<string>\",\n \"threshold\": \"<integer>\",\n \"isFollowedContactsOnly\": \"<boolean>\",\n \"description\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Reminder/Saved/Milestone/{id}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskType: '<string>',
name: '<string>',
threshold: '<integer>',
isFollowedContactsOnly: '<boolean>',
description: '<string>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"name": "<string>",
"reminderSourceType": "<string>",
"reminderSourceTypeDisplayName": "<string>",
"reminders": [
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
},
{
"id": "<integer>",
"message": "<string>",
"targetDate": "<string>",
"targetResolutionDateUtc": "<dateTime>",
"contactId": "<integer>",
"contactViewUrl": "<string>",
"contactDisplayName": "<string>",
"contactAvatarUrl": "<string>",
"reminderType": "<string>",
"reminderTypeDisplayName": "<string>",
"taskStatus": "<string>",
"taskStatusDisplayName": "<string>",
"completeUrl": "<string>",
"dismissUrl": "<string>",
"description": "<string>",
"hasContact": "<boolean>",
"isPastDue": "<boolean>",
"isUnresolved": "<boolean>",
"canComplete": "<boolean>",
"completeActionName": "<string>",
"canCompleteWithNote": "<boolean>",
"owner": "<string>",
"ownerAvatarUrl": "<string>"
}
],
"message": "<string>",
"dueDate": "<dateTime>",
"contactId": "<integer>",
"contactDisplayName": "<string>",
"reminderFrequency": "<string>",
"reminderFrequencyDisplayName": "<string>",
"milestoneType": "<string>",
"milestoneTypeDisplayName": "<string>",
"threshold": "<integer>",
"description": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on July 24, 2026
Was this page helpful?